> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equated.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one connected bank account

> Returns a single bank-feed account by Equated bank account id.



## OpenAPI

````yaml /openapi.json get /api/bank-accounts/{id}
openapi: 3.1.0
info:
  title: Equated API
  version: 1.0.0
  description: >-
    Agent-facing accounting API. Authenticate with a bearer token issued from
    Settings → API Tokens, or via the in-app session cookie when called from the
    web client.
servers:
  - url: https://app.equated.co
    description: API server
security: []
paths:
  /api/bank-accounts/{id}:
    get:
      tags:
        - Bank Accounts
      summary: Get one connected bank account
      description: Returns a single bank-feed account by Equated bank account id.
      parameters:
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Connected bank account
          content:
            application/json:
              schema:
                type: object
                properties:
                  account:
                    $ref: '#/components/schemas/BankAccount'
                required:
                  - account
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      security:
        - bearerAuth: []
components:
  schemas:
    BankAccount:
      type: object
      properties:
        id:
          type: integer
          minimum: 0
          exclusiveMinimum: true
        name:
          type: string
        officialName:
          type: string
          nullable: true
        type:
          type: string
        subtype:
          type: string
          nullable: true
        mask:
          type: string
          nullable: true
        currentBalance:
          type: string
          nullable: true
        availableBalance:
          type: string
          nullable: true
        booksBalance:
          type: string
          nullable: true
        isoCurrencyCode:
          type: string
          nullable: true
        institutionName:
          type: string
        institutionLogo:
          type: string
          nullable: true
        institutionUrl:
          type: string
          nullable: true
        syncError:
          type: object
          nullable: true
          properties:
            message:
              type: string
            lastFailedAt:
              type: string
          required:
            - message
            - lastFailedAt
        isSyncing:
          type: boolean
        connectionId:
          type: integer
          nullable: true
          minimum: 0
          exclusiveMinimum: true
        provider:
          type: string
          nullable: true
          enum:
            - plaid
            - quiltt
            - equated
            - null
        integrationId:
          type: integer
          nullable: true
          minimum: 0
          exclusiveMinimum: true
        integrationKind:
          type: string
          nullable: true
          enum:
            - humi
            - shopify
            - shopify_merchant
            - quickbooks
            - quickbooks_payroll
            - gmail
            - mercury
            - payworks
            - square
            - etsy
            - stripe
            - null
        quilttConnectionId:
          type: string
          nullable: true
        equatedBank:
          type: string
          nullable: true
          enum:
            - venn
            - null
        status:
          type: string
          enum:
            - active
            - hidden
            - deleted
      required:
        - id
        - name
        - officialName
        - type
        - subtype
        - mask
        - currentBalance
        - availableBalance
        - booksBalance
        - isoCurrencyCode
        - institutionName
        - institutionLogo
        - institutionUrl
        - syncError
        - isSyncing
        - connectionId
        - provider
        - integrationId
        - integrationKind
        - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token issued from the Equated app under Settings → API Tokens.

````